General

Verify

General Verify API documentation

Introduction

The verify API call is used to verify South African ID numbers and bank account numbers through CDV checks.

These API calls are provided through SwitchTransact and is included in all packages.

Verify SAID

This API will verify a South African ID number via a CDV check.

Path
GET /verify/id

Query Parameters:

ParameterExample
idNumber1234567890123

Valid SAID Response:

{
    "valid": true
}

Invalid SAID Response:

{
    "valid": false
}

Error Response:

{
    "status": false,
    "error": "Not authorized to make this API call. Requesting Read on General."
}

When you get this API response ensure that under the API keys section your API Key has the correct permissions: API Keys

Get Default Branch Code

This API will return the default branch code for a bank. Bank IDs can be found under: Bank Names

Path
GET /verify/branch

Query Parameters:

ParameterExampleNote
bank57e2ad24-7f2d-4f8e-853c-11a1e3a229abBank lookups ID, refer to lookups API

Success Response:

{
    "status": true,
    "value": "250655"
}

Invalid Bank Response:

{
    "status": false,
    "error": "Invalid record id: 1234"
}

Not Found Response:

{
    "status": false,
    "error": "Could not find a default branch code"
}

When you get the response Not authorized to make this API call. Requesting Read on General. ensure that under the API keys section your API Key has the correct permissions: API Keys

Verify Bank Accounts

This API will verify a South African bank account number via a CDV check.

Path
GET /verify/cdv

Query Parameters:

ParameterExampleNote
accountNumber1111111111
branchCode632005
accountType57e2ad24-7f2d-4f8e-853c-11a1e3a229abRefer to lookups API

Valid Account Response:

{
    "status": true,
    "message": "CDV check on account is valid",
    "modifiedAccountNumber": "1111111111"
}

Invalid Account Response:

{
    "status": false,
    "message": "CDV check found the account is invalid. CDV check procedure failed.",
    "modifiedAccountNumber": "2222222222"
}

Error Response:

{
    "status": false,
    "error": "Not authorized to make this API call. Requesting Read on General."
}

When you get this API response ensure that under the API keys section your API Key has the correct permissions: API Keys


Copyright © 2024 SwitchTransact